var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class XBoss extends APIBase {
    constructor() {
        super();
        this.utilsXbossSve = system.getObject("service.utilsSve.utilsXbossSve");
        this.serviceInfoSve = system.getObject("service.serviceprovider.serviceInfoSve");
    }
    /**
      * 接口跳转-POST请求
      * action_process  执行的流程
      * action_type     执行的类型
      * action_body     执行的参数
      */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = await this.opActionProcess(pobj, pobj.actionType, req);
        return result;
    }
    async opActionProcess(pobj, action_type, req) {
        var opResult = null;
        switch (action_type) {
            case "test"://测试
                opResult = system.getResultSuccess("测试接口");
                break;
            case "xneedList"://需求列表
                opResult = await this.utilsXbossSve.xneedList(pobj);
                break;
            case "xneedDetail"://需求详情
                opResult = await this.utilsXbossSve.xneedDetail(pobj);
                break;
            case "xApplicantList"://主体列表
                opResult = await this.utilsXbossSve.xApplicantList(pobj);
                break;
            case "xApplicantDetail"://主体详情
                opResult = await this.utilsXbossSve.xApplicantDetail(pobj);
                break;
            case "getProductListBySrvicerCode"://服务商产品列表（设置服务商分配规则使用）
                opResult = await this.utilsXbossSve.getProductListBySrvicerCode(pobj);
                break;
            case "getServiceInfoList"://服务商列表
                opResult = await this.serviceInfoSve.getServiceInfoList(pobj);
                break;
            case "getServiceProviderList"://服务商列表（筛选条件）
                opResult = await this.serviceInfoSve.getServiceProviderList(pobj);
                break;
            case "getServiceInfoDetail"://服务商详情
                opResult = await this.serviceInfoSve.getServiceInfoDetail(pobj);
                break;
            case "createServiceProvider"://新增/修改服务商
                opResult = await this.serviceInfoSve.createServiceProvider(pobj);
                break;
            case "getOrderDetail"://用户端查看订单详情
                opResult = await this.utilsXbossSve.xOrderDetail(pobj);
                break;
            case "getContributionInfoByOrderNum"://订单详情-出资比例列表
                opResult = await this.utilsXbossSve.getContributionInfoByOrderNum(pobj);
                break;
            case "getPrincipalInfoByOrderNum"://订单-详情查询--资质证照-公司人员情况
                opResult = await this.utilsXbossSve.getPrincipalInfoByOrderNum(pobj);
                break;
            case "getShareholderDataByOrderNum"://订单-详情查询--资质证照-股权结构
                opResult = await this.utilsXbossSve.getShareholderDataByOrderNum(pobj);
                break;
            case "getWebAppByOrderNum"://订单-详情查询--资质证照-网站或APP信息
                opResult = await this.utilsXbossSve.getWebAppByOrderNum(pobj);
                break;
            case "getServiceProjectByOrderNum"://订单-详情查询--资质证照-拟开展服务项目
                opResult = await this.utilsXbossSve.getServiceProjectByOrderNum(pobj);
                break;
            case "getSpecialApprovalInfoByOrderNum"://订单-详情查询--资质证照-专项审批项目 ICP
                opResult = await this.utilsXbossSve.getSpecialApprovalInfoByOrderNum(pobj);
                break;
            case "getMaterialsInfoByOrderNum"://订单-详情查询--资质证照-材料清单(固定上传项)
                opResult = await this.utilsXbossSve.getMaterialsInfoByOrderNum(pobj);
                break;
            case "getIcMaterialsInfoByOrderNum"://订单-详情查询--企业服务-材料清单(固定上传项)
                opResult = await this.utilsXbossSve.getIcMaterialsInfoByOrderNum(pobj);
                break;
            case "getPositionInfoByOrderNum"://订单-详情查询--任职信息列表
                opResult = await this.utilsXbossSve.getPositionInfoByOrderNum(pobj);
                break;
            case "getOrderList"://用户端获取订单列表
                opResult = await this.utilsXbossSve.xOrderQueryList(pobj);
                break;
            case "getQcOrderList"://资质服务列表
                opResult = await this.utilsXbossSve.getQcOrderList(pobj);
                break;
            case "getQcAnnalsOrderList"://资质年报服务列表
                opResult = await this.utilsXbossSve.getQcAnnalsOrderList(pobj);
                break;
            case "getAnnualReportByOrderNum"://资质年报详情-资质年报列表
                opResult = await this.utilsXbossSve.getAnnualReportByOrderNum(pobj);
                break;
            case "getOrderTransactionPipelineList"://用户端获取交易流水列表
                opResult = await this.utilsXbossSve.xOrderTransactionPipelineList(pobj);
                break;                  
            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }

}
module.exports = XBoss;
