<a name="menu" href="/doc">返回主目录</a>

1. [用户获取订单列表](#getOrderList)
1. [用户查看订单详情](#getOrderDetail)
1. [用户获取业务主体信息列表](#getApplyListByUserAndType)
1. [用户获取业务主体详情](#getApplyAndSolutionInfo)

## **<a name="getOrderList"> 用户获取订单列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getOrderList
#### 参数说明
1、公司注册：

|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| user_id  | 是 |  string   | 用户id  |
| productType  | 是 |  string   | 产品类型  |
| orderStaus  | 否 |  int   | 订单状态  |
| companyProperties  | 否 |  string   | 公司性质  |
| taxpayerType  | 否 |  string   | 纳税人类型  |
| sortType  | 否 |  string   | 排序方式，(asc、desc),不传默认按修改时间倒序  |

#### 参数示例
``` javascript
    {
        "actionType": "getOrderList",
        "actionBody": {
            "user_id": "1",
            "productType":"1",
            "orderStaus":1,
            "companyProperties":"",
            "taxpayerType":""
        }
    }     
```

#### 返回结果
```javascript
   {
    "status":0,
    "msg":"success",
    "data":[
        {
            "order_num":"O20201231223384682",//订单号
            "order_status":1,//订单状态编码
            "updated_at":null,//修改时间
            "orderProductId":1,//产品类型码
            "order_snapshot":null,//订单快照
            "product_snapshot":null//产品快照
        }
    ],
    "dataCount":1,
    "requestId":"ce1ab9f793ef466ea72d6146b8da197c"
}

```

## **<a name="getOrderDetail"> 用户查看订单详情</a>**
[返回到目录](#menu)
##### URL
[/api/action/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getOrderDetail
#### 参数说明
1、公司注册：

|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| user_id  | 是 |  string   | 用户id  |
| orderNum  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
    {
        "actionType": "getOrderDetail",
        "actionBody": {
            "user_id": "1",
            "orderNum":"O20201231223384682"
        }
    }       
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":{
        "order_num":"O20201231223384682",//订单号
        "tx_orders_num":"12343qweasd",//腾讯支付订单号
        "need_num":null,//需求编码
        "user_name":"张三",//用户名称
        "quantity":1,//订单数量
        "total_sum":"100.00",//订单总额
        "discount_amount":"0.00",//折扣金额
        "pay_total_sum":null,//支付订单
        "refund_sum":null,//退款金额
        "order_status":1,//订单状态
        "notes":null,//备注
        "created_at":"2020-05-29T15:27:05.000Z",//订单创建时间
        "updated_at":null,//修改时间
        "orderdeliveryinfo":{//订单交付信息
            "deliver_content":{//交付数据

            },
            "created_at":"2020-05-29T08:12:43.000Z",//交付时间
            "updated_at":"2020-05-29T08:12:43.000Z"
        }
    },
    "requestId":"9fcb9e7c84784457acc9e92e1fff4b30"
}

```
#### deliver_content 参数说明
```javascript
1、公司注册
{
    "baseInfo":{
        "deliverNumber":"交付单号",
        "payAmount":"实付金额",
        "payStatus":"支付状态",
        "isWhether":"是否需要公章",
        "contactsName":"联系人姓名",
        "contactsPhone":"联系人电话"
    },
    "companyInfo":{
        "companyName":"公司名称",
        "spareName":"备选名称,数据结构为LIST",
        "taxpayerType":"纳税人类型",
        "companyProperties":"公司性质",
        "addressType":"地址类型-实际经营地址||虚拟地址",
        "fullAddress":"注册的详细地址",
        "engagedIndustry":"从事行业",
        "businessScope":"经营范围",
        "operatingPeriod":"经营期限"
    },
    "registeredInfo":{
        "registeredCapital":"注册资本（万元）,转换成万元后的数字",
        "registeredDate":"注册资本实缴日期（年）,只要数字",
        "reserveProportion":"公积金缴存比例（%）,只要数字"
    },
    "contributionInfo":[
        {
            "shareholder Name":"法人/ 自然人股东姓名",
            "contributionAmount":"出资金额（万）,只要数字",
            "contributionProportion":"出资比例,只要数字",
            "IdentificationNumber":"证件号码",
            "phoneNumber":"联系电话/手机",
            "contactAddress":"联系地址"
        }
    ],
    "positionInfo":[
        {
            "functionInfo":"职务信息",
            "persionName":"姓名",
            "mobilePhone":"手机",
            "fixedPhone":"固话",
            "houseAddress":"住宅地址",
            "mailboxInfo":"邮箱"
        }
    ],
    "regInfo":{
        "legalpersonCertificate":"法人股东证件",
        "cfoCertificate":"财务负责人证件",
        "titleCertificate":"产权证",
        "naturalpersonCertificate":"自然人股东证件",
        "socialCertificate":"社保缴费经办人证件",
        "directorCertificate":"执行董事证件",
        "managerCertificate":"经理证件",
        "supervisorCertificate":"监事证件"
    },
    "expressInfo":{
        "trackingNumber":"运单号",
        "logisticsCompany":"物流公司",
        "addresseeName":"收件人名称",
        "addresseePhone":"收件人电话",
        "addresseeEmail":"收件人邮箱"
    }
}
2、个体户注册
{
    "baseInfo":{
        "deliverNumber":"交付单号",
        "payAmount":"实付金额",
        "payStatus":"支付状态",
        "isWhether":"是否需要公章",
        "contactsName":"联系人姓名",
        "contactsPhone":"联系人电话"
    },
    "individualInfo":{
        "individualName":"个体工商户名称",
        "spareName":"备选名称,数据结构为LIST",
        "registeredPark":"注册园区",
        "individualType":"个体户类型",
        "taxpayerType":"纳税人类型",
        "engagedTndustry":"所属行业",
        "businessScope":"经营范围",
        "operatingPeriod":"经营期限"
    },
    "managerInfo":{
        "managerName":"经营者姓名",
        "IdentificationNumber":"证件号码",
        "phoneNumber":"联系人电话",
        "contactAddress":"联系人地址"
    },
    "regInfo":{
        "managerCertificate":"经营者证件"
    },
    "expressInfo":{
        "trackingNumber":"运单号",
        "logisticsCompany":"物流公司",
        "addresseeName":"收件人名称",
        "addresseePhone":"收件人电话",
        "addresseeEmail":"收件人邮箱"
    }
}
3、个体独资企业注册
{
    "baseInfo":{
        "deliverNumber":"交付单号",
        "payAmount":"实付金额",
        "payStatus":"支付状态",
        "isWhether":"是否需要公章",
        "contactsName":"联系人姓名",
        "contactsPhone":"联系人电话"
    },
    "companyInfo":{
        "companyName":"公司名称",
        "spareName":"备选名称,数据结构为LIST",
        "registeredPark":"注册园区",
        "taxpayerType":"纳税人类型",
        "companyProperties":"公司性质",
        "engagedIndustry":"从事行业",
        "businessScope":"经营范围",
        "operatingPeriod":"经营期限"
    },
    "registeredInfo":{
        "registeredCapital":"注册资本（万元）,转换成万元后的数字",
        "registeredDate":"注册资本实缴日期（年）,只要数字",
        "reserveProportion":"公积金缴存比例（%）,只要数字"
    },
    "shareholderInfo":{
        "shareholderName":"股东姓名",
        "contributionAmount":"出资金额（万）,只要数字",
        "contributionProportion":"出资比例,只要数字",
        "IdentificationNumber":"证件号码",
        "phoneNumber":"联系电话/手机",
        "contactAddress":"身份证地址"
    },
    "materialInfo":{
        "legalpersonCertificate":"法人股东证件",
        "cfoCertificate":"财务负责人证件"
    },
    "expressInfo":{
        "trackingNumber":"运单号",
        "logisticsCompany":"物流公司",
        "addresseeName":"收件人名称",
        "addresseePhone":"收件人电话",
        "addresseeEmail":"收件人邮箱"
    }
}
4、刻章服务
{
    "baseInfo":{
        "orderNumber":"订单编号",
        "orderAmount":"订单金额",
        "serviceArea":"服务地区",
        "whetherType":"刻章类型（公司章，个体工商户章）",
        "updateTime":"更新时间",
        "isAdviser":"分配顾问"
    },
    "companyInfo":{
        "companyName":"公司名称",
        "creditCode":"统一社会信用代码",
        "companyType":"公司类型",
        "establishedTime":"成立时间",
        "shareholderName":"法定代表人",
        "businessTerm":"营业期限",
        "registeredCapital":"注册资本",
        "businessScope":"经营范围",
        "residenceAddress":"住所"
    }
}
5、银行开户、税务报道、工商年检、工商变更、社保开户业务
{
    "baseInfo":{
        "orderNumber":"订单编号",
        "orderAmount":"订单金额",
        "serviceArea":"服务地区",
        "updateTime":"更新时间",
        "isAdviser":"分配顾问"
    },
    "companyInfo":{
        "companyName":"公司名称",
        "creditCode":"统一社会信用代码",
        "companyType":"公司类型",
        "establishedTime":"成立时间",
        "shareholderName":"法定代表人",
        "businessTerm":"营业期限",
        "registeredCapital":"注册资本",
        "businessScope":"经营范围",
        "residenceAddress":"住所"
    }
}
6、税控申请
{
    "baseInfo":{
        "orderNumber":"订单编号",
        "orderAmount":"订单金额",
        "serviceArea":"服务地区",
        "taxpayerType":"纳税人类型",
        "updateTime":"更新时间",
        "isAdviser":"分配顾问"
    },
    "companyInfo":{
        "companyName":"公司名称",
        "creditCode":"统一社会信用代码",
        "companyType":"公司类型",
        "establishedTime":"成立时间",
        "shareholderName":"法定代表人",
        "businessTerm":"营业期限",
        "registeredCapital":"注册资本",
        "businessScope":"经营范围",
        "residenceAddress":"住所"
    }
}
7、代理记账
{
    "baseInfo":{
        "orderNumber":"订单编号",
        "orderAmount":"订单金额",
        "serviceArea":"服务地区",
        "taxpayerType":"纳税人类型",
        "buyTime":"购买时间",
        "buyDuration":"购买时长",
        "endTime":"到期时间",
        "surplusDuration":"还剩",
        "isAdviser":"分配顾问",
        "isRenew":"是否自动续费"
    },
    "companyInfo":{
        "companyName":"公司名称",
        "creditCode":"统一社会信用代码",
        "companyType":"公司类型",
        "establishedTime":"成立时间",
        "shareholderName":"法定代表人",
        "businessTerm":"营业期限",
        "registeredCapital":"注册资本",
        "businessScope":"经营范围",
        "residenceAddress":"住所"
    }
}
8、注册地址
{
    "baseInfo":{
        "orderNumber":"订单编号",
        "orderAmount":"订单金额",
        "registeredAddress":"注册地址",
        "buyTime":"购买时间",
        "buyDuration":"购买时长",
        "endTime":"到期时间",
        "surplusDuration":"还剩",
        "isAdviser":"分配顾问",
        "isRenew":"是否自动续费"
    },
    "companyInfo":{
        "companyName":"公司名称",
        "creditCode":"统一社会信用代码",
        "companyType":"公司类型",
        "establishedTime":"成立时间",
        "shareholderName":"法定代表人",
        "businessTerm":"营业期限",
        "registeredCapital":"注册资本",
        "businessScope":"经营范围",
        "residenceAddress":"住所"
    }
}
9、ICP
{
    "certificateInfo":{
        "company_name":"公司名称",
        "credit_code":"统一社会信用代码",
        "company_type":"公司类型",
        "established_time":"成立时间",
        "shareholder _name":"法定代表人",
        "business_term":"营业期限",
        "registered_capital":"注册资本",
        "business_scope":"经营范围",
        "residence_address":"住所"
    },
    "qualificationsInfo":{
        "certificateNumber":"证书编号",
        "serviceCategory":"业务种类",
        "serviceScope":"业务覆盖范围",
        "serviceContent":"服务项目",
        "IssuedTime":"发证日期",
        "validityTerm":"有效期至",
        "certificatePhoto":"证书照片"
    },
    "annualReportInfo":[
    {
        "annualYear":"年份",
        "annualstatus":"状态",
        "uploadTime":"上传时间"
    }
    ]
}
```

## **<a name="getApplyListByUserAndType"> 用户获取业务主体信息列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getApplyListByUserAndType
#### 参数说明
1、公司注册：

|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| userId  | 是 |  string   | 用户id  |
| applyType  | 是 |  int   | 申请实体类型，1：企业 2：个体户  |
| currentPage  | 否 |  int   | 当前页，默认1  |
| pageSize  | 否 |  int   | 条数，默认10  |
| applyName  | 否 |  string   | 公司/个体户名称  |
| domicile  | 否 |  string   | 住所  |

#### 参数示例
``` javascript
       {
        "actionType": "getApplyListByUserAndType",
        "actionBody": {
            "userId": "1",
            "applyType":"1",
            "currentPage":0,
            "pageSize":10,
            "applyName":"公司",
            "domicile":"北京"
        }
    }        
```

#### 返回结果
```javascript
{
    "status":1,
    "message":"success",
    "data":[
        {
            "apply_name":"测试公司",//公司/个体户名称
            "credit_code":"111",//社会统一信用代码
            "apply_type":1,//申请实体类型
            "operator":"张三",//经营者
            "regist_capital":"200",//注册资本
            "business_term":null,//营业期限
            "establish_time":null,//成立时间
            "domicile":"北京市"//住所
        }
    ],
    "dataCount":1,//总条数
    "requestId":"2b19fa6eba364b88bb1573013d96dff9"
}

```

## **<a name="getApplyAndSolutionInfo"> 用户获取业务主体详情</a>**
[返回到目录](#menu)
##### URL
[/api/action/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getApplyAndSolutionInfo
#### 参数说明
1、公司注册：

|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| userId  | 是 |  string   | 用户id  |
| creditCode  | 是 |  string   | 社会统一信用代码  |


#### 参数示例
``` javascript
   {
        "actionType": "getApplyAndSolutionInfo",
        "actionBody": {
            "userId": "1",
            "creditCode":"111"
        }
    }         
```

#### 返回结果
```javascript
    "data":{
        "applyInfo":{
            "user_id":"1",
            "apply_name":"测试公司",//申请实体名称（公司/个体户）
            "credit_code":"111",//社会统一信用代码
            "apply_type":1,//申请类型 1 企业 2 个体户
            "operator":"张三",//经营者
            "regist_capital":"200",//注册资本
            "business_term":null,//经营期限
            "establish_time":null,//成立时间
            "domicile":"北京市",//住所
            "ent_type":"1",//企业类型 
            "business_scope":null//经营范围
        },
        "solutionList":[
            {
                "user_id":"1",
                "order_num":"O20201231223384682",//订单号
                "need_num":"test001",//需求号
                "order_status":1,//订单状态
                "updated_at":null,//更新时间
                "consult_type":null,//
                "consult_type_name":null,
                "status":1,//需求状态
                "contacts_name":"张三",//联系人
                "contacts_moblie":"13075556693",//联系电话
                "region_id":"",//地区id
                "region_name":null,//地区名称
                "solution_content":Object{...}//方案信息
            }
        ]
    },
    "requestId":"d704bd9af91e4fa09dade8379d65d8e2"
}
```
