<a name="menu" href="/doc">返回主目录</a>

1. [需求列表](#xneedList)
1. [需求详情](#xneedDetail)
1. [主体列表](#xApplicantList)
1. [主体详情](#xApplicantDetail)
1. [服务商产品列表（设置服务商分配规则使用）](#getProductListBySrvicerCode)
1. [服务商列表](#getServiceInfoList)
1. [服务商详情](#getServiceInfoDetail)
1. [新增/修改服务商](#createServiceProvider)
1. [订单查询列表](#getOrderList)
1. [订单详情](#getOrderDetail)
1. [交易流水](#getOrderTransactionPipelineList)
1. [订单详情-出资比例](#getContributionInfoByOrderNum)
1. [订单详情-任职信息](#getPositionInfoByOrderNum)
1. [资质服务列表](#getQcOrderList)
1. [年报服务列表](#getQcAnnalsOrderList)
1. [资质证照详情-公司人员情况](#getPrincipalInfoByOrderNum)
1. [资质证照详情-股权结构](#getShareholderDataByOrderNum)
1. [资质证照详情-网站或APP信息](#getWebAppByOrderNum)
1. [资质证照详情-拟开展服务项目](#getServiceProjectByOrderNum)
1. [资质证照详情-材料清单](#getMaterialsInfoByOrderNum)
1. [资质证照详情-年报列表](#getAnnualReportByOrderNum)
1. [服务商列表-筛选条件](#getServiceProviderList)
1. [资质证照详情-专项审批项目ICP](#getSpecialApprovalInfoByOrderNum)
1. [订单详情-材料清单](#getIcMaterialsInfoByOrderNum)

## **<a name="xneedList"> 需求列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：xneedList
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| productOneType  | 否 |  string   | 产品大类，用于区分工商服务/资质证照，ic:工商服务，qcfw:资质证照 |
| pageSize  | 否 |  int   | 每页条数,默认10  |
| currentPage  | 否 |  int   | 当前页码，默认1  |
| consultType  | 否 |  string   | 需求类型（产品二类编码）  |
| status  | 否 |  int   | 需求状态码 1.已提交、2.待顾问反馈、3.待用户确认、4.已完成、5.已关闭 |
| contactsName  | 否 |  string   | 联系人  |
| contactsMobile  | 否 |  string   | 联系电话  |
| needNum  | 否 |  string   | 需求编码  |
| servicerName  | 否 |  string   | 服务商名称  |
| clerkName  | 否 |  string   | 业务员名称  |
| clerkPhone  | 否 |  string   | 业务员电话  |
| dateList  | 否 |  list   | 修改时间,dateList[0]:开始时间,dateList[1]:截止时间  |
| sortType  | 否 |  string   | 修改时间排序方式，"asc":正序 "desc":倒序  |

#### 参数示例
``` javascript
   {
        "actionType": "xneedList",
        "actionBody": {
        	"productOneType":"ic",
            "pageSize": "10",
            "currentPage":"1",
            "consultType":"/ic/sbopen/",
            "status":3,
            "contactsName":"张三",
            "contactsMobile":"13075556693",
            "needNum":"202006100011",
            "servicerName":"公司宝",
            "clerkName":"小王",
            "clerkPhone":"4567801",
            "dateList":["2020-06-14T13:08:07.000Z","2020-06-15T13:08:07.000Z"],
            "sortType":"desc"
        }
    }   

```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":10,
        "curPage":1,
        "search":{
            "productOneType":"ic",
            "pageSize":"10",
            "currentPage":"1",
            "consultType":"/ic/sbopen/",
            "status":"",
            "contactsName":"",
            "contactsMobile":"",
            "needNum":"",
            "servicerName":"",
            "clerkName":"",
            "clerkPhone":""
        },
        "orderArr":null,
        "total":1,
        "rows":[
            {
                "id":29,
                "need_num":"202006100011",
                "solution_num":"NS_202006152108T78w9",
                "user_id":"1",
                "user_name":"张三",
                "contacts_name":"张三",
                "contacts_moblie":"13075556693",
                "region_id":"1",
                "region_name":"北京",
                "consult_type":"/ic/sbopen/",
                "consult_type_name":"/工商服务/社保开户/",
                "status":3,
                "status_name":"待用户确认",
                "notes":"测试数据勿删",
                "need_info":null,
                "servicer_code":"gsb",
                "servicer_name":"公司宝",
                "created_at":"2020-06-03T16:04:45.000Z",
                "updated_at":"2020-06-15T13:08:07.000Z",
                "deleted_at":null,
                "version":null,
                "solution_content":{
                    "agent":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/83.0.4103.61 Safari/537.36",
                    "userid":"13",
                    "bizpath":"/bizchanceManage/bizcase",
                    "clerkId":"13",
                    "baseInfo":{
                        "isRenew":"不开启",
                        "creditCode":"12345566",
                        "companyName":"根據國家",
                        "companyType":"如一條 ",
                        "serviceArea":"shanghai",
                        "businessTerm":"100",
                        "businessScope":"allll",
                        "establishedTime":"2009-06-27",
                        "serviceAreaName":"上海市",
                        "shareholderName":"裝備",
                        "residenceAddress":"規劃環境基金",
                        "registeredCapital":"100萬"
                    },
                    "clientIp":"127.0.0.1",
                    "classname":"bizchance.schemeCtl",
                    "clerkName":"小王",
                    "businessId":54,
                    "clerkPhone":"4567801",
                    "company_id":"11",
                    "clerkOpcode":null,
                    "businessMode":"202006100011",
                    "businessType":"/ic/sbopen/",
                    "servicerCode":"11",
                    "servicerName":"公司宝",
                    "currentStatus":"beforeConfirmation"
                },
                "isRefusal":0,
                "refusal_notes":null,
                "solution_notes":null,
                "clerkName":"小王",
                "clerkPhone":"4567801"
            }
        ]
    },
    "requestId":""
}

```

## **<a name="xneedDetail"> 需求详情</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：xneedDetail
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| needNum  | 是 |  string   | 需求编码  |
| servicerCode  | 是 |  string   | 服务商编码  |

#### 参数示例
``` javascript
   {
        "actionType": "xneedDetail",
        "actionBody": {
           "servicerCode":"gsb",
           "needNum":"202006100011"
        }
    }  

```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "serviceInfo":{
            "id":1,
            "created_at":null,
            "servicer_code":"gsb",
            "servicer_name":null,
            "servicer_short_name":null,
            "business_license":null,
            "credit_code":null,
            "legal_identity_card":null,
            "legal_name":null,
            "legal_mobile":null,
            "legal_identity_card_no":null,
            "push_domain_addr":null
        },
        "needSolution":{
            "id":29,
            "need_num":"202006100011",
            "solution_num":"NS_202006152108T78w9",
            "user_id":"1",
            "user_name":"张三",
            "contacts_name":"张三",
            "contacts_moblie":"13075556693",
            "region_id":"1",
            "region_name":"北京",
            "consult_type":"/ic/sbopen/",
            "consult_type_name":"/工商服务/社保开户/",
            "status":3,
            "status_name":"待用户确认",
            "notes":"测试数据勿删",
            "need_info":null,
            "servicer_code":"gsb",
            "servicer_name":"公司宝",
            "created_at":"2020-06-03T16:04:45.000Z",
            "updated_at":"2020-06-15T13:08:07.000Z",
            "deleted_at":null,
            "version":null,
            "solution_content":{
                "agent":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/83.0.4103.61 Safari/537.36",
                "userid":"13",
                "bizpath":"/bizchanceManage/bizcase",
                "clerkId":"13",
                "baseInfo":{
                    "isRenew":"不开启",
                    "creditCode":"12345566",
                    "companyName":"根據國家",
                    "companyType":"如一條 ",
                    "serviceArea":"shanghai",
                    "businessTerm":"100",
                    "businessScope":"allll",
                    "establishedTime":"2009-06-27",
                    "serviceAreaName":"上海市",
                    "shareholderName":"裝備",
                    "residenceAddress":"規劃環境基金",
                    "registeredCapital":"100萬"
                },
                "clientIp":"127.0.0.1",
                "classname":"bizchance.schemeCtl",
                "clerkName":"小王",
                "businessId":54,
                "clerkPhone":"4567801",
                "company_id":"11",
                "clerkOpcode":null,
                "businessMode":"202006100011",
                "businessType":"/ic/sbopen/",
                "servicerCode":"11",
                "servicerName":"公司宝",
                "currentStatus":"beforeConfirmation"
            },
            "isRefusal":0,
            "refusal_notes":null,
            "solution_notes":null
        }
    },
    "requestId":""
}

```

## **<a name="xApplicantList"> 主体列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：xApplicantList
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| applyType  | 否 |  int   | 主体类型，1:企业 2：个体户  |
| applyName  | 否 |  string   | 主体名称  |
| creditCode  | 否 |  string   | 社会统一信用代码  |
| domicile  | 否 |  string   | 住所  |
| pageSize  | 否 |  int   | 每页条数,默认10  |
| currentPage  | 否 |  int   | 当前页码，默认1  |

#### 参数示例
``` javascript
   {
        "actionType": "xApplicantList",
        "actionBody": {
        	"pageSize": 10,
            "currentPage":1,
        	"applyType":1,
        	"applyName":"testcompany",
        	"creditCode":"1234",
        	"domicile":"12"
        }
    }      

```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":10,
        "curPage":1,
        "search":{
            "pageSize":10,
            "currentPage":1,
            "applyType":1,
            "applyName":"testcompany",
            "creditCode":"1234",
            "domicile":"12"
        },
        "orderArr":null,
        "total":1,
        "rows":[
            {
                "count":1,
                "servicer_code":"gsb",
                "servicer_name":"公司宝",
                "user_id":"011",
                "user_name":"王栋源",
                "apply_name":"testcompany2",
                "credit_code":"1234",
                "apply_type":1,
                "operator":null,
                "regist_capital":null,
                "business_term":null,
                "establish_time":null,
                "domicile":"12",
                "ent_type":"有限责任公司",
                "business_scope":null,
                "created_at":"2020-06-04T10:41:52.000Z"
            }
        ]
    },
    "requestId":""
}

```

## **<a name="xApplicantDetail"> 主体详情</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：xApplicantDetail
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| creditCode  | 是 |  string   | 社会统一信用代码  |

#### 参数示例
``` javascript
   {
        "actionType": "xApplicantDetail",
        "actionBody": {
        	"creditCode":"1223345455"
        }
    }       

```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "applyInfo":{
            "id":2,
            "servicer_code":"gsb",
            "servicer_name":"公司宝",
            "user_id":"011",
            "user_name":"王栋源",
            "apply_name":"testcompany2",
            "credit_code":"1223345455",
            "apply_type":1,
            "operator":null,
            "regist_capital":null,
            "business_term":null,
            "establish_time":null,
            "domicile":"12",
            "notes":null,
            "op_notes":null,
            "ent_type":"有限责任公司",
            "business_scope":null,
            "created_at":"2020-06-04T10:41:52.000Z",
            "updated_at":null,
            "deleted_at":null,
            "version":null
        },
        "productBusinessInfo":[
            {
                "order_num":"1111115",
                "user_name":"张三",
                "user_id":"1",
                "updated_at":"2020-06-12T10:04:20.000Z",
                "total_sum":300,
                "refund_sum":0,
                "pay_time":null,
                "deleted_at":null,
                "servicer_code":"gsb",
                "servicer_name":"公司宝",
                "product_type":"/ic/gsreg/",
                "product_type_name":"/工商服务/公司注册/",
                "order_snapshot":{
                    "clerkId":"1",
                    "baseInfo":{
                        "memoInfo":"sfdsff",
                        "creditCode":"1223345455",
                        "companyName":"三个五",
                        "companyType":"有限公司",
                        "whetherType":"individual",
                        "businessTerm":"500",
                        "businessScope":"sgrgdrgghhh",
                        "establishedTime":"2010-5-6",
                        "shareholderName":"2B",
                        "residenceAddress":"北京市",
                        "registeredCapital":"5万元"
                    },
                    "clerkName":"小三",
                    "businessId":1001,
                    "clerkPhone":"4567800",
                    "clerkOpcode":null,
                    "businessMode":"202006100012",
                    "businessType":"/ic/gsreg/",
                    "servicerCode":"1",
                    "servicerName":"公司宝",
                    "statusReason":null,
                    "currentStatus":"待提交方案"
                },
                "end_time":null,
                "delivery_status":10,
                "delivery_status_name":"收集工商注册材料",
                "deliver_content":{
                    "companyInfo":{
                        "isWhether":"no",
                        "addressType":"practical",
                        "fullAddress":"gsgsgsgsgsg",
                        "taxpayerType":"smallScaleTaxpayer",
                        "businessScope":"sgsgsdgsdgd",
                        "engagedIndustry":"culturalMedia",
                        "companyProperties":"limitedLiabilityCompany"
                    },
                    "deliverInfo":{
                        "isVirtual":"否",
                        "isWhether":"是",
                        "payStatus":"已交付",
                        "contactsName":"张三",
                        "contactsPhone":"13800138000"
                    },
                    "deliverNumber":"1111115",
                    "registeredInfo":{
                        "registeredDate":"20",
                        "registeredCapital":"500",
                        "reserveProportion":"15"
                    },
                    "contributionInfo":{
                        "contribution_info":[
                            {
                                "phoneNumber":"1111111",
                                "contactAddress":"北京",
                                "shareholderName":"王五",
                                "contributionAmount":"200",
                                "IdentificationNumber":"1111111",
                                "contributionProportion":"40"
                            },
                            {
                                "phoneNumber":"1111111",
                                "contactAddress":"北京",
                                "shareholderName":"王六",
                                "contributionAmount":"200",
                                "IdentificationNumber":"1111111",
                                "contributionProportion":"40"
                            },
                            {
                                "phoneNumber":"1111111",
                                "contactAddress":"北京",
                                "shareholderName":"王七",
                                "contributionAmount":"100",
                                "IdentificationNumber":"1111111",
                                "contributionProportion":"20"
                            }
                        ]
                    }
                }
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getProductListBySrvicerCode"> 服务商产品列表（设置服务商分配规则使用）</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getProductListBySrvicerCode
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| servicerCode  | 是 |  string   | 服务商编码  |

#### 参数示例
``` javascript
   {
        "actionType": "getProductListBySrvicerCode",
        "actionBody": {
        	"servicerCode":"gsb"
        }
    }    

```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "rows":[
            {
                "id":2,
                "type_code":"gsreg",
                "type_name":"公司注册",
                "productList":[
                    {
                        "isSelected":0,
                        "id":1,
                        "path_code":"/ic/gsreg/",
                        "path_name":"/工商服务/公司注册/",
                        "region_id":"1",
                        "region_name":"北京市",
                        "product_type_id":2,
                        "is_allocation":1,
                        "servicer_name":"测试服务商"
                    },
                    {
                        "isSelected":0,
                        "id":2,
                        "path_code":"/ic/kzfw/",
                        "path_name":"/工商服务/刻章服务/",
                        "region_id":"1",
                        "region_name":"北京市",
                        "product_type_id":2,
                        "is_allocation":1,
                        "servicer_name":"测试服务商"
                    }
                ]
            },
            {
                "id":3,
                "type_code":"kefw",
                "type_name":"刻章服务",
                "productList":[

                ]
            },
            {
                "id":4,
                "type_code":"cpreg",
                "type_name":"云上园区注册",
                "productList":[

                ]
            },
            {
                "id":5,
                "type_code":"bankopen",
                "type_name":"银行开户",
                "productList":[

                ]
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getServiceInfoList"> 服务商列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getServiceInfoList
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| servicerCode  | 否 |  string   | 服务商编码  |
| sortType  | 否 |  string   | 更新时间排序方式 asc desc   |
| isEnabled  | 否 |  int   | 是否启用  |
| regionName  | 否 |  string   | 地区名称  |
| servicerShortName  | 否 |  string   | 服务商简称  |
| pageSize  | 否 |  int   | 每页条数,默认10  |
| currentPage  | 否 |  int   | 当前页码，默认1  |

#### 参数示例
``` javascript
   {
        "actionType": "getServiceInfoList",
        "actionBody": {
        	"pageSize": 10,
            "currentPage":1,
        	"servicerCode":"S_2020060916124m1rLi",
        	"sortType":"desc",
        	"isEnabled":1,
        	"regionName":"北京市",
        	"servicerShortName":"测试"
        }
    }    
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":10,
        "curPage":1,
        "search":{
            "pageSize":10,
            "currentPage":1,
            "servicerCode":"S_2020060916124m1rLi",
            "sortType":"desc",
            "isEnabled":1,
            "regionName":"北京市",
            "servicerShortName":"测试"
        },
        "orderArr":null,
        "total":1,
        "rows":[
            {
                "servicer_code":"S_2020060916124m1rLi",
                "servicer_name":"测试服务商",
                "servicer_short_name":"测试",
                "province_name":null,
                "city_name":null,
                "region_name":"北京市",
                "is_enabled":1,
                "principal_name":"张三",
                "principal_mobile":"13075556693",
                "created_at":"2020-06-09T08:12:04.000Z"
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getServiceInfoDetail"> 服务商详情</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getServiceInfoDetail
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| servicerCode  | 是 |  string   | 服务商编码  |

#### 参数示例
``` javascript
    {
        "actionType": "getServiceInfoDetail",
        "actionBody": {
        	"servicerCode":"S_202006050937ptSlyI"
        }
    }     

```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "id":2,
        "servicer_code":"S_202006050937ptSlyI",
        "apply_type":1,
        "apply_type_name":"企业",
        "servicer_name":"测试服务商",
        "servicer_short_name":"测试",
        "bank_account":"测试银行",
        "bank_account_num":"88888888",
        "sub_bank_account":"测试银行2",
        "sub_bank_account_num":"66666666",
        "region_name":"北京市",
        "servicer_address":"北京市朝阳区",
        "push_domain_addr":"test.gongsibao.com",
        "is_enabled":0,
        "principal_name":"张三",
        "principal_mobile":"13075556693",
        "business_license":null,
        "credit_code":null,
        "legal_identity_card":null,
        "legal_name":null,
        "legal_mobile":null,
        "legal_identity_card_no":null,
        "settlement_cycle":null,
        "settlement_cycle_name":null,
        "created_at":"2020-06-05T01:37:51.000Z",
        "updated_at":"2020-06-05T01:46:28.000Z",
        "version":0
    },
    "requestId":""
}

```

## **<a name="createServiceProvider"> 新增/修改服务商</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：createServiceProvider
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| isEnabled  | 否 |  int   | 是否启用，0：不启用 1：启用 默认0  |
| pushDomainAddr  | 是 |  string   | 推送域名地址  |
| applyType  | 是 |  int   | 账号类型 1.企业，2.个人  |
| servicerShortName  | 是 |  string   | 服务商简称  |
| servicerName  | 是 |  string   | 服务商名称  |
| bankAccount  | 是 |  string   | 公司银行开户名称  |
| bankAccountNum  | 是 |  string   | 公司银行账号  |
| subBankAccount  | 是 |  string   | 开户行支行名称  |
| subBankAccountNum  | 是 |  string   | 开户行支行联行号  |
| regionName  | 是 |  string   | 所在地区  |
| servicerAddress  | 是 |  string   | 服务商详细地址  |
| principalName  | 是 |  string   | 负责人名称  |
| principalMobile  | 是 |  string   | 负责人电话  |
| settlementCycle  | 是 |  int   | 结算周期 1:"周结",2:"月结",3:"季结",4:"年结"  |
| servicerCode  | 否 |  string   | 服务商编码，修改时传入  |
| productList  | 否 |  LIST   | 产品id列表,isEnabled参数为0时无效  |


#### 参数示例
``` javascript
     {
        "actionType": "createServiceProvider",
        "actionBody": {
        	"isEnabled":1,
			"pushDomainAddr":"test.gongsibao.com",
			"applyType":1,
			"servicerShortName":"测试",
			"servicerName":"测试服务商",
			"bankAccount":"测试银行",
			"bankAccountNum":"88888888",
			"subBankAccount":"测试银行2",
			"subBankAccountNum":"66666666",
			"regionName":"北京市",
			"servicerAddress":"北京市朝阳区",
			"principalName":"张三",
			"principalMobile":"13075556693",
			"settlementCycle":1,
			"servicerCode":"",
			"productList":[1]
        }
    }    
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "version":0,
        "id":10,
        "is_enabled":1,
        "push_domain_addr":"test.gongsibao.com",
        "apply_type":1,
        "apply_type_name":"企业",
        "servicer_short_name":"测试",
        "servicer_name":"测试服务商",
        "bank_account":"测试银行",
        "bank_account_num":"88888888",
        "sub_bank_account":"测试银行2",
        "sub_bank_account_num":"66666666",
        "settlement_cycle":1,
        "settlement_cycle_name":"周结",
        "region_name":"北京市",
        "servicer_address":"北京市朝阳区",
        "principal_name":"张三",
        "principal_mobile":"13075556693",
        "servicer_code":"S_2020060916124m1rLi",
        "updated_at":"2020-06-09T08:12:04.666Z",
        "created_at":"2020-06-09T08:12:04.666Z"
    },
    "requestId":""
}

```

## **<a name="getOrderDetail"> 订单详情</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getOrderDetail
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNum  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
    {
		"actionType": "getOrderDetail",
		"actionBody": {"orderNum":"TX489156413251"}
	}   
```

#### 返回结果
```javascript
{
    "status": 1,
    "message": "success",
    "data": {
        "order_num": "TX489156413251",
        "user_name": "wdy",
        "updated_at": null,
        "total_sum": 300,
        "deleted_at": null,
        "servicer_code": "gsb",
        "servicer_name": "公司宝",
        "product_type": "/ic/gsreg/",
        "product_type_name": "/工商服务/公司注册/",
        "order_snapshot": {
            "memoInfo": "备注信息",
            "clerkName": "",
            "isWhether": "是否刻章",
            "clerkPhone": "",
            "createTime": "2020-06-03 20:47:38",
            "addressType": "实际经营地址",
            "companyName": "testcompany",
            "fullAddress": "北京市朝阳区来广营",
            "serviceArea": "北京",
            "serviceCode": "8",
            "businessMode": "TX489156413251",
            "businessType": "/ic/gsreg/",
            "contactsName": "wdy",
            "servicerCode": "gsb",
            "taxpayerType": "小规模纳税人",
            "businessScope": "演出及经纪业务；组织文化艺术活动；演出票务代理；字画、工艺美术品（金饰品除外）、旅游纪念品的销售；演出器材的销售、租赁；艺术装饰；艺术品展示；舞台美术、工艺美术品、包装装璜设计、制作。",
            "contactsPhone": "17610163852",
            "channel Source": "tx",
            "engagedIndustry": "服务类",
            "businessTypeName": "/工商服务/公司注册/",
            "servicerProvider": "公司宝",
            "companyProperties": "有限责任公司"
        },
        "delivery_status": null,
        "delivery_status_name": null,
        "deliver_content": null
    },
    "requestId": ""
}
```

## **<a name="getOrderList"> 订单列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getOrderList
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| productOneType  | 否 |  string   | 产品大类，用于区分工商服务/资质证照，ic:工商服务，qcfw:资质证照 |
| orderNum | 否 | string  |订单编号 |
| contactsName | 否 | string  |客户姓名 |
| contactsPhone | 否 | string  |客户电话 |
| clerkName | 否 | string  |服务顾问 |
| clerkPhone | 否 | string  |顾问电话 |
| serviceCode  | 否 |  string   | 服务商编码  |
| productType  | 否 |  string   | 交付产品类型编码  |
| deliveryStatus  | 否 |  int   | 交付状态编码  |
| sortType  | 否 |  string   | 更新时间排序方式 asc desc   |
| pageSize  | 否 |  int   | 每页条数,默认10  |
| currentPage  | 否 |  int   | 当前页码，默认1  |

#### 参数示例
``` javascript
{
	"actionType": "getOrderList",
	"actionBody": {
		"orderNum":"T",
		"contactsName":"w",
		"contactsPhone":"1",
		"clerkName":"",
		"clerkPhone":"",
		"productType":"gsreg",
		"deliveryStatus":"",
		"serviceCode":"8",
		"sortType":"asc",
		"pageSize": 4,
		"currentPage":1
	}
}   
```

#### 返回结果
```javascript
{
    "status": 1,
    "message": "success",
    "data": [
        {
            "order_num": "TX489156413251",
            "user_name": "wdy",
            "updated_at": null,
            "total_sum": 300,
            "deleted_at": null,
            "servicer_code": "gsb",
            "servicer_name": "公司宝",
            "product_type": "/ic/gsreg/",
            "product_type_name": "/工商服务/公司注册/",
            "order_snapshot": {
                "memoInfo": "备注信息",
                "clerkName": "",
                "isWhether": "是否刻章",
                "clerkPhone": "",
                "createTime": "2020-06-03 20:47:38",
                "addressType": "实际经营地址",
                "companyName": "testcompany",
                "fullAddress": "北京市朝阳区来广营",
                "serviceArea": "北京",
                "serviceCode": "8",
                "businessMode": "TX489156413251",
                "businessType": "/ic/gsreg/",
                "contactsName": "wdy",
                "servicerCode": "gsb",
                "taxpayerType": "小规模纳税人",
                "businessScope": "演出及经纪业务；组织文化艺术活动；演出票务代理；字画、工艺美术品（金饰品除外）、旅游纪念品的销售；演出器材的销售、租赁；艺术装饰；艺术品展示；舞台美术、工艺美术品、包装装璜设计、制作。",
                "contactsPhone": "17610163852",
                "channel Source": "tx",
                "engagedIndustry": "服务类",
                "businessTypeName": "/工商服务/公司注册/",
                "servicerProvider": "公司宝",
                "companyProperties": "有限责任公司"
            },
            "delivery_status": null,
            "delivery_status_name": null,
            "deliver_content": null
        }
    ],
    "dataCount": 1,
    "requestId": ""
}
```


## **<a name="getOrderTransactionPipelineList"> 交易流水</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getOrderTransactionPipelineList
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| productOneType  | 否 |  string   | 产品大类，用于区分工商服务/资质证照，ic:工商服务，qcfw:资质证照 |
| orderNum | 否 | string  |交付单号 |
| startdate | 否 | string  |时间范围-开始日期 |
| enddate | 否 | string  |时间范围-结束日期 |
| serviceCode  | 否 |  string   | 服务商编码  |
| productType  | 否 |  string   | 交付产品类型编码  |
| sortType  | 否 |  string   | 用户支付时间排序方式 asc desc   |
| pageSize  | 否 |  int   | 每页条数,默认10  |
| currentPage  | 否 |  int   | 当前页码，默认1  |

#### 参数示例
``` javascript
{
	"actionType": "getOrderTransactionPipelineList",
	"actionBody": {
		"orderNum":"T",
		"startDate":"",
		"endDate":"",
		"productType":"",
		"serviceCode":"",
		"sortType":"asc",
		"pageSize": 4,
		"currentPage":1
	}
}
```

#### 返回结果
```javascript
{
    "status": 1,
    "message": "success",
    "data": [
        {
            "order_num": "TX489156413251",
            "user_name": "wdy",
            "updated_at": null,
            "total_sum": 300,
            "deleted_at": null,
            "servicer_code": "gsb",
            "servicer_name": "公司宝",
            "product_type": "/ic/gsreg/",
            "product_type_name": "/工商服务/公司注册/",
            "order_snapshot": {
                "memoInfo": "备注信息",
                "clerkName": "",
                "isWhether": "是否刻章",
                "clerkPhone": "",
                "createTime": "2020-06-03 20:47:38",
                "addressType": "实际经营地址",
                "companyName": "testcompany",
                "fullAddress": "北京市朝阳区来广营",
                "serviceArea": "北京",
                "serviceCode": "8",
                "businessMode": "TX489156413251",
                "businessType": "/ic/gsreg/",
                "contactsName": "wdy",
                "servicerCode": "gsb",
                "taxpayerType": "小规模纳税人",
                "businessScope": "演出及经纪业务；组织文化艺术活动；演出票务代理；字画、工艺美术品（金饰品除外）、旅游纪念品的销售；演出器材的销售、租赁；艺术装饰；艺术品展示；舞台美术、工艺美术品、包装装璜设计、制作。",
                "contactsPhone": "17610163852",
                "channel Source": "tx",
                "engagedIndustry": "服务类",
                "businessTypeName": "/工商服务/公司注册/",
                "servicerProvider": "公司宝",
                "companyProperties": "有限责任公司"
            },
            "delivery_status": null,
            "delivery_status_name": null,
            "deliver_content": null
        }
    ],
    "dataCount": 1,
    "requestId": ""
}
```


## **<a name="getContributionInfoByOrderNum"> 订单详情-出资比例</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getContributionInfoByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getContributionInfoByOrderNum",
        "actionBody": {
        	"orderNumber":"1111115"
        }
    }    
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":3,
        "curPage":1,
        "search":{
            "orderNum":"1111115"
        },
        "orderArr":null,
        "total":3,
        "rows":[
            {
                "phoneNumber":"1111111",
                "contactAddress":"北京",
                "shareholderName":"王五",
                "contributionAmount":"200",
                "IdentificationNumber":"1111111",
                "contributionProportion":"40"
            },
            {
                "phoneNumber":"1111111",
                "contactAddress":"北京",
                "shareholderName":"王六",
                "contributionAmount":"200",
                "IdentificationNumber":"1111111",
                "contributionProportion":"40"
            },
            {
                "phoneNumber":"1111111",
                "contactAddress":"北京",
                "shareholderName":"王七",
                "contributionAmount":"100",
                "IdentificationNumber":"1111111",
                "contributionProportion":"20"
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getPositionInfoByOrderNum"> 订订单详情-任职信息</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getPositionInfoByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
    {
        "actionType": "getPositionInfoByOrderNum",
        "actionBody": {
        	"orderNumber":"1111115"
        }
    }      
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":1,
        "curPage":1,
        "search":{
            "orderNumber":"1111115"
        },
        "orderArr":null,
        "total":1,
        "rows":[
            {
                "fixedPhone":"2345678",
                "mailboxInfo":"2839273",
                "mobilePhone":"45678",
                "persionName":"附近的酸辣粉",
                "functionInfo":"发链接",
                "houseAddress":"的激发了肯德基"
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getQcOrderList"> 资质服务列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getQcOrderList
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNum | 否 | string  |订单编号 |
| contactsName | 否 | string  |客户姓名 |
| contactsPhone | 否 | string  |客户电话 |
| clerkName | 否 | string  |服务顾问 |
| clerkPhone | 否 | string  |顾问电话 |
| serviceCode  | 否 |  string   | 服务商编码  |
| productType  | 否 |  string   | 交付产品类型编码  |
| deliveryStatus  | 否 |  int   | 交付状态编码  |
| sortType  | 否 |  string   | 更新时间排序方式 asc desc   |
| pageSize  | 否 |  int   | 每页条数,默认10  |
| currentPage  | 否 |  int   | 当前页码，默认1  |
| dateList  | 否 |  list   | 修改时间,dateList[0]:开始时间,dateList[1]:截止时间  |

#### 参数示例
``` javascript
   {
        "actionType": "getQcOrderList",
        "actionBody": {
        	 "orderNum":"",
            "contactsName":"",
            "contactsPhone":"",
            "clerkName":"",
            "clerkPhone":"",
            "productType":"",
            "deliveryStatus":"",
            "serviceCode":"gsb",
            "sortType":"desc",
            "pageSize": 1,
            "currentPage":1,
            "dateList":["2020-06-13 01:53:38","2020-06-14 01:53:39"]
        }
    }   

```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":1,
        "curPage":1,
        "search":{
            "orderNum":"",
            "contactsName":"",
            "contactsPhone":"",
            "clerkName":"",
            "clerkPhone":"",
            "productType":"",
            "deliveryStatus":"",
            "serviceCode":"gsb",
            "sortType":"desc",
            "pageSize":1,
            "currentPage":1
        },
        "orderArr":null,
        "total":2,
        "rows":[
            {
                "order_num":"O202006130013",
                "user_name":"张三",
                "user_id":"1",
                "updated_at":"2020-06-13T01:54:19.000Z",
                "total_sum":300,
                "refund_sum":0,
                "pay_time":null,
                "deleted_at":null,
                "servicer_code":"gsb",
                "servicer_name":"公司宝",
                "product_type":"/qcfw/edi/",
                "product_type_name":"/资质证照/edi/",
                "order_snapshot":{
                    "id":26,
                    "bizopt_id":32,
                    "updated_at":"2020-06-02 20:32:14",
                    "remark_info":"77777777777766666677777777777",
                    "scheme_info":{
                        "address":"hangzhou",
                        "company":"77777777777777",
                        "numYear":5,
                        "annual_report":true
                    },
                    "businessType":"/qcfw/edi/",
                    "salesman_name":"小三",
                    "facilitator_id":"test",
                    "salesman_phone":"199299949424",
                    "facilitator_name":"测试服务商"
                },
                "delivery_status":17,
                "delivery_status_name":"已完成",
                "deliver_content":{
                    "safetyInfo":{
                        "qualification":"fdf",
                        "responsibility":"df"
                    },
                    "proposerInfo":{
                        "contactInfo":{
                            "name":"fdgdfg",
                            "email":"dfgfdgdf@qq.com",
                            "phone":"17293892382",
                            "address":"fgdgfd"
                        },
                        "principalInfo":[
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_34351591966084262202012204842629592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "name":"jhjhjhgj",
                                "email":"sgsggsg",
                                "namel":"fgfggddg",
                                "phone":"gdsgs",
                                "title":"法定代表人",
                                "certificateId":"cvxcgxg",
                                "certificateType":"身份证"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_233515919661083362020122048283369592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "name":"hgh",
                                "email":"sfsdfs",
                                "phone":"sfsfs",
                                "title":"客服负责人",
                                "certificateId":"vfds",
                                "certificateType":"护照"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_104515919661204172020122048404179592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "name":"hfghf",
                                "email":"sfjifjskdf",
                                "namel":"dgdgd",
                                "phone":"fsodifisdf",
                                "title":"安全负责人",
                                "certificateId":"shjdhjhsjd",
                                "certificateType":"台湾居民往来内地同行证或台湾身份证"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_432515919661368172020122048568179592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "name":"hgy",
                                "email":"djndfhjdf",
                                "phone":"fsdfsd",
                                "title":"许可证负责人",
                                "certificateId":"dfndhsf",
                                "certificateType":"港澳居民往来内地同行证或港澳身份证"
                            }
                        ],
                        "recipientInfo":{
                            "name":"lll",
                            "email":"dfgfdgdf@qq.com",
                            "phone":"17293892382",
                            "address":"dfsfdsfs"
                        },
                        "businessLicense":{
                            "name":"佛挡杀佛",
                            "type":"大幅度",
                            "address":"大幅度",
                            "createdAt":"2020-06-13T16:00:00.000Z",
                            "businessTerm":"试试",
                            "scopeBusiness":"对方是否",
                            "enterpriseCode":"91370200163562681G",
                            "registeredCapital":455055,
                            "legalRepresentative":"方法"
                        },
                        "businessInformation":{
                            "address":"发顺丰",
                            "zipCode":"发顺丰",
                            "ifListed":"true",
                            "staffSize":"小于10人",
                            "legalTypes":"企业法人",
                            "businessScale":"无营收收入",
                            "comapnyNature":"民营控股",
                            "fixedTelephone":"对方是否",
                            "bussinessDirection":"电力、热力、燃气及水生产和供应业"
                        }
                    },
                    "qualification":{
                        "file":{
                            "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_422515919726637762020122237437769592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                            "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                        },
                        "endAt":"2020-06-23 08:00:00",
                        "startAt":"2020-06-09 08:00:00",
                        "businessScope":"d",
                        "businessTypes":"d",
                        "serviceProject":"d",
                        "certificateNumber":"d"
                    },
                    "recipientInfo":{
                        "name":"lll",
                        "email":"dfgfdgdf@qq.com",
                        "phone":"17293892382",
                        "address":"dfsfdsfs",
                        "courierNumber":"lll",
                        "logisticsCompany":"ffff"
                    },
                    "shareholderData":[
                        {
                            "file":{
                                "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_242515919664687502020122054287509592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                            },
                            "name":"fff",
                            "type":"境内机关法人、事业单位",
                            "address":"erewr",
                            "idNumber":"130182838392838229",
                            "companyCode":"fdf",
                            "currencyType":"人民币",
                            "declareCompany":"sdfsd",
                            "holdProportion":200,
                            "waysInvestment":"货币",
                            "investmentAmount":444,
                            "superiorIdNumber":"fsfsdf",
                            "superiorShareholder":"dfdf"
                        }
                    ],
                    "otherMaterialsInfo":{
                        "fixedList":[
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_5351591970663480202012224234809592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"营业执照"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_16651591970667230202012224272309592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"域名证书"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_20151591970670753202012224307539592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"申请者国家企业信用信息公示系统截图"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_24951591970674272202012224342729592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"股东追溯承诺书"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_45451591970683619202012224436199592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"依法经营电信业务承诺书"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_5751591970687735202012224477359592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"服务器托管协议"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_10551591970692820202012224528209592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"服务器托管商编号C证书"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_9051591970696742202012224567429592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"社保证明文件"
                            },
                            {
                                "file":{
                                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_3495159197070099620201222509969592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                                },
                                "title":"收费方案"
                            }
                        ],
                        "otherFiles":[

                        ]
                    },
                    "implementationPlanInfo":{
                        "webApp":[
                            {
                                "name":"电放费",
                                "type":"网站",
                                "domain":"防守打法",
                                "appStoreName":"发送到",
                                "serverAddress":"反攻倒算"
                            }
                        ],
                        "targetUser":[
                            "企业",
                            "政府/事业单位",
                            "个人"
                        ],
                        "profitableWay":[
                            "前向用户收费",
                            "后向平台服务收费",
                            "混合收费"
                        ],
                        "specialApproval":[
                            {
                                "file":{

                                },
                                "title":"新闻"
                            },
                            {
                                "file":{

                                },
                                "title":"出版"
                            },
                            {
                                "file":{

                                },
                                "title":"药品和医疗器材"
                            },
                            {
                                "file":{

                                },
                                "title":"文化"
                            },
                            {
                                "file":{

                                },
                                "title":"视听节目"
                            }
                        ],
                        "serviceProjectEdi":[
                            {
                                "file":{

                                },
                                "title":"电子交换业务",
                                "value":[
                                    "贸易事务数据结构化/自动处理和交换服务",
                                    "行政事务数据结构化/自动处理和交换服务"
                                ]
                            },
                            {
                                "file":{

                                },
                                "title":"交易处理业务",
                                "value":[
                                    "BTO B第三方交易平台",
                                    "含网络借贷信息中介类的互联网金融业务服务"
                                ]
                            },
                            {
                                "title":"网络/电子设备数据处理业",
                                "value":[
                                    "物联网应用平台服务"
                                ]
                            }
                        ],
                        "serviceProjectIcp":[
                            {
                                "title":"信息发布平台和递送服务",
                                "value":[

                                ],
                                "otherValue":""
                            },
                            {
                                "title":"信息搜索查询服务",
                                "value":[

                                ],
                                "otherValue":""
                            },
                            {
                                "title":"信息社区服务",
                                "value":[

                                ],
                                "otherValue":""
                            },
                            {
                                "title":"信息及时交互服务",
                                "value":[

                                ],
                                "otherValue":""
                            },
                            {
                                "title":"信息保护加工处理服务",
                                "value":[

                                ],
                                "otherValue":""
                            }
                        ]
                    }
                }
            }
        ]
    },
    "requestId":""
}

```


## **<a name="getQcAnnalsOrderList"> 年报服务列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getQcAnnalsOrderList
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNum | 否 | string  |订单编号 |
| contactsName | 否 | string  |客户姓名 |
| contactsPhone | 否 | string  |客户电话 |
| clerkName | 否 | string  |服务顾问 |
| clerkPhone | 否 | string  |顾问电话 |
| serviceCode  | 否 |  string   | 服务商编码  |
| productType  | 否 |  string   | 交付产品类型编码  |
| deliveryStatus  | 否 |  int   | 交付状态编码  |
| sortType  | 否 |  string   | 更新时间排序方式 asc desc   |
| pageSize  | 否 |  int   | 每页条数,默认10  |
| currentPage  | 否 |  int   | 当前页码，默认1  |
| dateList  | 否 |  list   | 修改时间,dateList[0]:开始时间,dateList[1]:截止时间  |


#### 参数示例
``` javascript
{
	"actionType": "getQcAnnalsOrderList",
	"actionBody": {
		"orderNum":"T",
		"contactsName":"w",
		"contactsPhone":"1",
		"clerkName":"",
		"clerkPhone":"",
		"productType":"gsreg",
		"deliveryStatus":"",
		"serviceCode":"8",
		"sortType":"asc",
		"pageSize": 4,
        "currentPage":1,
        "dateList":["2020-06-13 01:53:38","2020-06-14 01:53:39"]
	}
}
   
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":1,
        "curPage":1,
        "search":{
            "orderNum":"",
            "contactsName":"",
            "contactsPhone":"",
            "clerkName":"",
            "clerkPhone":"",
            "productType":"",
            "deliveryStatus":"",
            "serviceCode":"gsb",
            "sortType":"desc",
            "pageSize":1,
            "currentPage":1
        },
        "orderArr":null,
        "total":0,
        "rows":[

        ]
    },
    "requestId":""
}

```


## **<a name="getPrincipalInfoByOrderNum"> 资质证照详情-公司人员情况</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getPrincipalInfoByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getPrincipalInfoByOrderNum",
        "actionBody": {
        	"orderNumber":"O202006130012"
        }
    }     
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":4,
        "curPage":1,
        "search":{
            "orderNumber":"O202006130012"
        },
        "orderArr":null,
        "total":4,
        "rows":[
            {
                "file":{
                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_13151591685846571202091457265719592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg",
                    "name":"9592BBA6-5CA0-4536-83B7-7E8BAD85CCFE.jpeg"
                },
                "name":"111112222222444",
                "email":"EE",
                "phone":"DF",
                "title":"法定代表人",
                "certificateId":"D",
                "certificateType":"身份证"
            },
            {
                "file":{

                },
                "name":"44433C ",
                "email":"CX",
                "phone":"VCV",
                "title":"客服负责人",
                "certificateId":"C",
                "certificateType":"身份证"
            },
            {
                "file":{

                },
                "name":"WLLJJJ",
                "email":"SD",
                "phone":"EE",
                "title":"安全负责人",
                "certificateId":"D",
                "certificateType":"台湾居民往来内地同行证或台湾身份证"
            },
            {
                "file":{

                },
                "name":"C",
                "email":"XCC",
                "phone":"XCX",
                "title":"许可证负责人",
                "certificateId":"C",
                "certificateType":"台湾居民往来内地同行证或台湾身份证"
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getShareholderDataByOrderNum"> 资质证照详情-股权结构</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getShareholderDataByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getShareholderDataByOrderNum",
        "actionBody": {
        	"orderNumber":"O202006130012"
        }
    }     
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":1,
        "curPage":1,
        "search":{
            "orderNumber":"O202006130012"
        },
        "orderArr":null,
        "total":1,
        "rows":[
            {
                "file":{
                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_4415159168589478720209145814787公司宝logo（透明背景）.png",
                    "name":"公司宝logo（透明背景）.png"
                },
                "name":"DD",
                "type":"境内机自然人",
                "address":"SDSD",
                "idNumber":"XC",
                "companyCode":"EW",
                "currencyType":"人民币",
                "declareCompany":"DSD",
                "holdProportion":330,
                "waysInvestment":"货币",
                "investmentAmount":222022,
                "superiorIdNumber":"SDS",
                "superiorShareholder":"SDS"
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getWebAppByOrderNum"> 资质证照详情-网站或APP信息</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getWebAppByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getWebAppByOrderNum",
        "actionBody": {
        	"orderNumber":"O202006130012"
        }
    }     
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":2,
        "curPage":1,
        "search":{
            "orderNumber":"O202006130012"
        },
        "orderArr":null,
        "total":2,
        "rows":[
            {
                "name":"XX",
                "type":"APP",
                "domain":"XXZ",
                "appStoreName":"AA",
                "serverAddress":"ZZ"
            },
            {
                "name":"XZX",
                "type":"网站",
                "domain":"XZX",
                "appStoreName":"QQ",
                "serverAddress":"ZXZX"
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getServiceProjectByOrderNum"> 资质证照详情-拟开展服务项目</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getServiceProjectByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getServiceProjectByOrderNum",
        "actionBody": {
        	"orderNumber":"O202006130012"
        }
    }     
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":5,
        "curPage":1,
        "search":{
            "orderNumber":"O202006130012"
        },
        "orderArr":null,
        "total":5,
        "rows":[
            {
                "title":"信息发布平台和递送服务",
                "value":[
                    "应用商店"
                ],
                "otherValue":""
            },
            {
                "title":"信息搜索查询服务",
                "value":[
                    "搜索引擎",
                    "其他",
                    "网页导航"
                ],
                "otherValue":"XCC"
            },
            {
                "title":"信息社区服务",
                "value":[
                    "其他"
                ],
                "otherValue":"CC"
            },
            {
                "title":"信息及时交互服务",
                "value":[
                    "其他"
                ],
                "otherValue":""
            },
            {
                "title":"信息保护加工处理服务",
                "value":[
                    "防病毒平台",
                    "垃圾信息拦截平台"
                ],
                "otherValue":""
            }
        ]
    },
    "requestId":""
}

```

## **<a name="getMaterialsInfoByOrderNum"> 资质证照详情-材料清单</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getMaterialsInfoByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getMaterialsInfoByOrderNum",
        "actionBody": {
        	"orderNumber":"O202006130012"
        }
    }     
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":9,
        "curPage":1,
        "search":{
            "orderNumber":"O202006130012"
        },
        "orderArr":null,
        "total":9,
        "rows":[
            {
                "file":{
                    "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_375159168598492920209145944929公司宝logo（黄色背景）.jpg",
                    "name":"公司宝logo（黄色背景）.jpg"
                },
                "title":"营业执照"
            },
            {
                "file":{

                },
                "title":"域名证书"
            },
            {
                "file":{

                },
                "title":"申请者国家企业信用信息公示系统截图"
            },
            {
                "file":{

                },
                "title":"股东追溯承诺书"
            },
            {
                "file":{

                },
                "title":"依法经营电信业务承诺书"
            },
            {
                "file":{

                },
                "title":"服务器托管协议"
            },
            {
                "file":{

                },
                "title":"服务器托管商编号C证书"
            },
            {
                "file":{

                },
                "title":"社保证明文件"
            },
            {
                "file":{

                },
                "title":"收费方案"
            }
        ]
    },
    "requestId":""
}

```


## **<a name="getServiceProviderList"> 服务商列表-筛选条件</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getServiceProviderList
#### 参数说明
无

#### 参数示例
``` javascript
   {
        "actionType": "getServiceProviderList",
        "actionBody": {
        }
    }     
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":[
        {
            "servicer_code":"gsb",
            "servicer_name":null,
            "apply_type":null
        },
        {
            "servicer_code":"S_202006050937ptSlyI",
            "servicer_name":"测试服务商",
            "apply_type":1
        },
        {
            "servicer_code":"S_202006050943AIEUbW",
            "servicer_name":"测试服务商",
            "apply_type":1
        },
        {
            "servicer_code":"S_202006051001NpyNOO",
            "servicer_name":"测试服务商",
            "apply_type":1
        },
        {
            "servicer_code":"S_202006051002UE4Lse",
            "servicer_name":"测试服务商",
            "apply_type":1
        },
        {
            "servicer_code":"S_202006081548KTtnJj",
            "servicer_name":"ad",
            "apply_type":1
        },
        {
            "servicer_code":"S_2020060817350axACA",
            "servicer_name":"test",
            "apply_type":1
        },
        {
            "servicer_code":"S_202006082212fkPrkW",
            "servicer_name":"企业名称",
            "apply_type":1
        },
        {
            "servicer_code":"S_202006082213d2tgoM",
            "servicer_name":"企业名称",
            "apply_type":1
        },
        {
            "servicer_code":"S_2020060916124m1rLi",
            "servicer_name":"测试服务商",
            "apply_type":1
        },
        {
            "servicer_code":"S_20200612201296NkJi",
            "servicer_name":"1",
            "apply_type":1
        }
    ],
    "requestId":""
}

```

## **<a name="getAnnualReportByOrderNum"> 资质证照详情-年报列表</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getAnnualReportByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getAnnualReportByOrderNum",
        "actionBody": {
        	"orderNumber":"O202006130016"
        }
    }      
```

#### 返回结果
```javascript
{
    "retcode":0,
    "msg":"success",
    "data":{
        "pageSize":4,
        "curPage":1,
        "search":{
            "orderNumber":"O202006130016"
        },
        "orderArr":null,
        "total":3,
        "rows":[
            {
                "file":null,
                "year":2021,
                "status":"waitdeclare",
                "updated_at":"2020-09-01"
            },
            {
                "file":null,
                "year":2022,
                "status":"waitdeclare",
                "updated_at":"2020-09-01"
            },
            {
                "file":null,
                "year":2023,
                "status":"waitdeclare",
                "updated_at":"2020-09-01"
            }
        ]
    },
    "requestId":""
}

```


## **<a name="getSpecialApprovalInfoByOrderNum"> 资质证照详情-专项审批项目ICP</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getSpecialApprovalInfoByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getSpecialApprovalInfoByOrderNum",
        "actionBody": {
        	"orderNumber":"O202006130014"
        }
    }      
```

#### 返回结果
```javascript
{
    "retcode": 0,
    "msg": "success",
    "data": {
        "pageSize": 5,
        "curPage": 1,
        "search": {
            "orderNumber": "O202006130014"
        },
        "orderArr": null,
        "total": 5,
        "rows": [
            {
                "file": {},
                "title": "新闻"
            },
            {
                "file": {},
                "title": "出版"
            },
            {
                "file": {},
                "title": "药品和医疗器材"
            },
            {
                "file": {},
                "title": "文化"
            },
            {
                "file": {},
                "title": "视听节目"
            }
        ]
    },
    "requestId": ""
}

```

## **<a name="getIcMaterialsInfoByOrderNum"> 订单详情-材料清单</a>**
[返回到目录](#menu)
##### URL
[/api/action/xboss/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：getIcMaterialsInfoByOrderNum
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNumber  | 是 |  string   | 订单号  |

#### 参数示例
``` javascript
   {
        "actionType": "getIcMaterialsInfoByOrderNum",
        "actionBody": {
        	"orderNumber":"1593153605061"
        }
    }     
```

#### 返回结果
```javascript
{
    "retcode": 0,
    "msg": "success",
    "data": {
        "pageSize": 14,
        "curPage": 1,
        "search": {
            "orderNumber": "1593153605061"
        },
        "orderArr": null,
        "total": 14,
        "rows": [
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "产权证",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/58799c90-b93d-11ea-b2e1-0f5e06f8765f.png"
            },
            {
                "name": "7d923d6107.jpg",
                "title": "自然人股东证件1",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/60b798d0-b93d-11ea-b2e1-0f5e06f8765f.jpg"
            },
            {
                "name": "201808231213594946.jpg.w1920.h1200.jpg",
                "title": "自然人股东证件3",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/636f65d0-b93d-11ea-b2e1-0f5e06f8765f.jpg"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "法人股东证件",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/7edc2910-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "执行董事证件",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/8166f2a0-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "经理证件",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/83a60d30-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "监事证件",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/85dfa980-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "购票人",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/8820e6f0-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "办税人",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/8a9fa290-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "财务负责人",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/8c469bd0-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "秘书联系人",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/8f00d9d0-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "社保缴费经办人证件",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/91133f10-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "公积金缴费经办人",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/93478430-b93e-11ea-8f48-c19fa4240063.png"
            },
            {
                "name": "2020-06-28 12-03-59 的屏幕截图.png",
                "title": "自然人股东证件",
                "viewUrl": "http://test-1258715722.cos.ap-beijing.myqcloud.com/materials/9530dda0-b93e-11ea-8f48-c19fa4240063.png"
            }
        ]
    },
    "requestId": "e0941220-b93f-11ea-b106-dd08809fb42f"
}

```

